package web

import (
	"git.sleepycat.moe/sam/mercury/web/app"
	"git.sleepycat.moe/sam/mercury/web/auth"
	"git.sleepycat.moe/sam/mercury/web/frontend"
	"github.com/go-chi/chi/v5"
)

func Routes(app *app.App) {
	// auth
	app.Router.Route("/auth", func(r chi.Router) {
		auth := auth.New(app)
		r.Get("/login", auth.GetLogin)
	})

	// web app handlers
	// also assets
	frontend := frontend.New(app)
	app.Router.HandleFunc(frontend.AssetsPath(), frontend.ServeAssets)
	app.Router.HandleFunc("/static/*", frontend.ServeStaticAssets)
	app.Router.HandleFunc("/web", frontend.ServeFrontend)
	app.Router.HandleFunc("/web/*", frontend.ServeFrontend)
}
